#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.2.0
visibility:           public
id:                   jose-0.8.2.0-1AYtCF07gV67pvqZ0uN6So
key:                  jose-0.8.2.0-1AYtCF07gV67pvqZ0uN6So
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  93a475d4f6ef5127a925c93cc22b250b
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.8.1/site-local/jose-0.8.2.0
library-dirs:         /usr/lib/ghc-8.8.1/site-local/jose-0.8.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/jose-0.8.2.0
hs-libraries:         HSjose-0.8.2.0-1AYtCF07gV67pvqZ0uN6So
depends:
    QuickCheck-2.13.2-1s2yEbt3iMvAcG0hiAunO4
    aeson-1.4.6.0-E2BkI4IZQTS95PTQn3BtDE
    attoparsec-0.13.2.3-GvFzwcfNwZiL4ImVsnTywh base-4.13.0.0
    base64-bytestring-1.0.0.2-3LlvESfRKzTD9g2IFAaHRs
    bytestring-0.10.9.0 concise-0.1.0.1-Hpp7SxcSsQ2Hl0m4wN7285
    containers-0.6.2.1 cryptonite-0.26-I5fDswTTpHLDLVatg7AIs6
    lens-4.18-8nqL1T2GNrf3TiDUtvE1IY
    memory-0.15.0-FnDoAywiUyk1oejWyXKnge
    monad-time-0.3.1.0-HexxjZ9nH3HCqIA0RMNsJ1 mtl-2.2.2
    network-uri-2.6.1.0-1rzXNzkZ9826Ag8PDxZ5qx
    quickcheck-instances-0.3.22-4n64bgrdMVHFxHXWWb63KO
    safe-0.3.18-77EtIZs3AFB4iOmOvdspYk template-haskell-2.15.0.0
    text-1.2.4.0 time-1.9.3
    unordered-containers-0.2.10.0-BOyMat0aeilHaccjX66VbF
    vector-0.12.0.3-5jznHM9LsC6GoMm8iesU7Q
    x509-1.7.5-H2RND7Ciayg84YM2T6NBup

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

